#
# spec file for package php-sweph

Name:           php-sweph
Summary:        PHP wrapper for Swiss Ephemeris Library
Version:        1.81
Release:        1
License:        GPLv2+
Group:          Applications/Productivity
Url:            http://swissephauto.blackpatchpanel.com/

Source0:        http://download.gna.org/swissephauto/%{name}-%{version}.zip
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  make,gcc,libswe-devel,php-devel

%description
php-sweph is a PHP wrapper for the Swiss Ephemeris C library

The Swiss Ephemeris is based upon the latest planetary and lunar
ephemeris, DE405/406, developed by NASA's Jet Propulsion
Laboratory. The original integration, DE405, covered the years 3000 BC
to 3000 AD and required 550 Mb of disk space. DE406 is a compressed
version of DE405 which requires 200 MB while maintaining a precision
of better than 1 m for the moon and 25 m for the planets.

%prep
%setup -q

%build
phpize
./configure
make

%install
%__make install INSTALL_ROOT=%{buildroot}
mkdir -p %{buildroot}%{_sysconfdir}/php.d/
install 20-sweph.ini %{buildroot}%{_sysconfdir}/php.d/
%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_libdir}/php/modules/sweph.so
%{_sysconfdir}/php.d/20-sweph.ini

%changelog
* Thu Nov 24 2016 Marco Bignami <m.bignami@unknown-domain.no-ip.net> 1.81-1
 - Changed sources
 - Created spec file
